## Spoje-NET-FlexiPeeHP.zip

=== Makefile ===
all: build install

fresh:
	git pull
	composer install

install: build
#	cp -rvf src/FlexiPeeHP /usr/share/php/FlexiPeeHP
	
static: 
	composer update
	echo rm -rf static/*
	echo "STATIC  #######################
	cd tools/ ; ./update_all.sh ; cd ..

build: static

clean:
	rm -rf debian/php-flexibee
	rm -rf debian/flexipeehp .phpunit.result.cache debian/flexipeehp.debhelper.log
	rm -rf debian/flexipeehp-doc
	rm -rf debian/*.log
	rm -rf debian/*.substvars
	rm -rf docs/*
	rm -f  debianTest/composer.lock
	rm -rf vendor/* composer.lock

apigen:
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	apigen generate -d docs/ -s src/  --destination docs --title "FlexiPeeHP ${VERSION}" --charset UTF-8 --access-levels public --access-levels protected --php --tree

pretest:
	composer --ansi --no-interaction update
	php -f tests/PrepareForTest.php

phpunit:
	composer update
	vendor/bin/phpunit --bootstrap testing/bootstrap.php

deb:
	dpkg-buildpackage -A -us -uc

rpm:
	rpmdev-bumpspec --comment="Build" --userstring="Vítězslav Dvořák <info@vitexsoftware.cz>" flexipeehp.spec
	rpmbuild -ba flexipeehp.spec 

verup:
	git commit debian/composer.json debian/version debian/revision  -m "`cat debian/version`-`cat debian/revision`"
	git push origin master

dimage:
	docker build -t vitexsoftware/flexipeehp .

.PHONY : install

=== debian/changelog ===
flexipeehp (1.30) UNRELEASED; urgency=medium

  * Docker Image build
  * Ubuntu 18.04 compatibility build
  * Openbuild Service build


 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Wed, 13 Mar 2019 15:01:55 +0100

flexipeehp (1.12) experimental; urgency=medium

  * Static Files Update
  * Tests & Fixes

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Thu, 07 Jun 2018 18:54:03 +0200

flexipeehp (1.11) experimental; urgency=medium

  * php5.3 - php7.2 

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Tue, 29 May 2018 13:33:35 +0200

flexipeehp (1.9.7.1) experimental; urgency=low

  [ Vítězslav Vitex Dvořák ]

  [ Cybervitexus ]
  * Debian package build update
  * Přidán další parametr adresní řádky pro směr řazení výpisu Přidána
    třída pro cenník
  * Doplněna funkce pro získání GlobalVersion Přidána třída položky
    faktury vydané


  [ vitex ]
  * TODOs
  * Debian package buld update
  * Debian package version fix Links to other libraries added to Readme
  * added public $this->rowCount to hold @rowCount value if obtained
  * Debian package v1.3
  * Added class Structure that hold structure of all evidencies added
    tool update_structure_clas.php for generating class Structure Added
    class DodavatelskaSmlouva Version grow to 1.4
  * Added methods for managing used company Unit tests for obtaining
    evidence structure
  * Added methods for managing used company Unit tests for obtaining
    evidence structure
  * Added methods for managing used company Unit tests for obtaining
    evidence structure
  * Fixed support for Evidence Actions
  * Release 1.6 Evidence names moved from Structure to EvidenceList
    class Class Structure renamed to Relations Class generating scripts
    moved to "tools" folder Added generated class Relations
  * Added method for generating invoices to Provider Contract class
    Added login-logout URL prefix to list allowed prefixes
  * Added method for generating invoices to Provider Contract class
    Added login-logout URL prefix to list allowed prefixes

  [ Vítězslav Dvořák ]
  * UnitTest for FlexiBeeRW update Added missing PHPDoc comments
  * Added debian package for ApiGen documentation Static version as
    FlexiPeeHP::$libVersion
  * Merge origin/master

  [ vitex ]
  * Additonal control for relations in debug mode
  * __ToString returns allways string now
  * Updated Generated classes


  [ Vítězslav Dvořák ]
  * 

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Tue, 29 May 2018 13:11:03 +0200

=== debian/control ===
Source: flexipeehp
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/Spoje-NET/FlexiPeeHP

Package: flexipeehp
Depends: ${misc:Depends}, php-curl|php5-curl|php5.6-curl|php7.0-curl|php7.1-curl|php7.2-curl|php7.3-curl,ease-framework (>= 1.5.11)
Suggests: composer,flexipeehp-doc
Architecture: all
Section: web
Priority: optional
Description: PHP Based FlexiBee RestAPI/Json library
 Allow you read and write operations on czech accounting system FlexiBee

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	echo tests temporarly skipped for now in rules file

override_dh_install:
	dh_install	
	sed -i -e  "s/__DIR__.'\/..\/..\//'\\/usr\/share\/php\/FlexiPeeHP\//g" debian/flexipeehp/usr/share/php/FlexiPeeHP/FlexiBeeRO.php
	./debian/fixversion.sh
